Subject: Use of Instance Pointer

From: "jim (j.) cobban" <[email-masked]>
Date: Wed, 13 Dec 1995 10:22:00 -0500

Following are the descriptions of the InstancePointer, RowPointer 
and VariablePointer textual conventions taken from the SNMPv2-TC mib.
Note that InstancePointer is now "obsolete".  However the most current draft
of the DLSW MIB that I can find (draft-ietf-dlswmib-mib-07.txt, dated
October 20) uses Instance Pointer for the following objects:

  dlswTConnConfigGroupDefinition
  dlswDirMacLocation
  dlswDirNBLocation
  dlswDirLocateMacLocation
  dlswDirLocateNBLocation
  dlswCircuitS1Dlc

Could we amend the MIB to use the current textual conventions?  I think
these are all RowPointers, but I am not certain because I don't really
understand the distinction between the two cases.

InstancePointer ::= TEXTUAL-CONVENTION
    STATUS       obsolete                                                 |
    DESCRIPTION
            "A pointer to either a specific instance of a MIB object or
            a conceptual row of a MIB table in the managed device.  In
            the latter case, by convention, it is the name of the
            particular instance of the first accessible columnar object   |
            in the conceptual row.                                        |
 
            The two uses of this textual convention are replaced by       |
            VariablePointer and RowPointer, respectively."                |
    SYNTAX       OBJECT IDENTIFIER

VariablePointer ::= TEXTUAL-CONVENTION                                    +
    STATUS       current                                                  +
    DESCRIPTION                                                           +
            "A pointer to a specific object instance.  For example,       +
            sysContact.0 or ifInOctets.3."                                +
    SYNTAX       OBJECT IDENTIFIER                                        +

RowPointer ::= TEXTUAL-CONVENTION                                         +
    STATUS       current                                                  +
    DESCRIPTION                                                           +
            "Represents a pointer to a conceptual row.  The value is the  +
            name of the instance of the first accessible columnar object  +
            in the conceptual row.                                        +
 
            For example, ifIndex.3 would point to the 3rd row in the      +
            ifTable (note that if ifIndex were not-accessible, then       +
            ifDescr.3 would be used instead)."                            +
    SYNTAX       OBJECT IDENTIFIER                                        +

Jim Cobban   |  [email-masked]                        |  Phone: (613) 763-8013
BNR Ltd.     |  bnrgate.bnr.ca!bcarsf1f!jcobban       |  FAX:   (613) 763-5199
|                                                                             |
|   The opinions expressed are those of the author and do not necessarily     |
|   represent the opinions of Bell-Northern Research or Nortel.               |